    DECLARE SUB PrintDoc (FileName$)

Sub PrintDoc (FileName$)

    Open FileName$ For Output As #1

    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1, "                         DayQuote  "
    Print #1,
    Print #1, "                       (c) 1994, 1995  Freeware Unlimited"
    Print #1,
    Print #1, "                       "
    Print #1,
    Print #1,
    Print #1,

If FileName$ <> "CON" Then Print "Printing documentation to file:  "; FileName$
If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1, "                                    Contents"
    Print #1, "                   "
    Print #1,
    Print #1, "                    Introduction . . . . . . . . . . . . . 2"
    Print #1,
    Print #1, "                    Quote File Structure . . . . . . . . . 3"
    Print #1,
    Print #1, "                    Command Line Options . . . . . . . . . 5"
    Print #1,
    Print #1, "                    Result Messages  . . . . . . . . . . . 8"
    Print #1,

If FileName$ <> "CON" Then Print ".";

    Print #1, "                   "
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1, "               ͻ"
    Print #1, "                               He's dead, Jim.                  "
    Print #1, "                                                        - Bones "

If FileName$ <> "CON" Then Print ".";

    Print #1, "               ͼ"
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,

If FileName$ <> "CON" Then Print ".";

    Print #1,
    If FileName$ <> "CON" Then Print #1, "                                     Page 1"
    Print #1, ""
    Print #1, "   INTRODUCTION"
    Print #1, ""
    Print #1,
    Print #1,
    Print #1, "     What DayQuote Is:"
    Print #1,
    Print #1, "        It is, to be perfectly honest, the first real program I have"
    Print #1, "        written, and there might exist on some plane programmers who are"
    Print #1, "        self-important enough to say that even this isn't a real program."
    Print #1,
    Print #1, "        Nevertheless, I think you will enjoy it, and its many options."
    Print #1, "        Those hypothetical programmers I mentioned earlier might even"

If FileName$ <> "CON" Then Print ".";

    Print #1, "        take a second glance at its versatile command line options."
    Print #1,
    Print #1, "        All of those options are described below, in their totality."
    Print #1, "        The text is concise; hence, it might be 'thick' in some places."
    Print #1, "        Please, though, if you feel justified in your critique of my"
    Print #1, "        writing - either in the English language or the BASIC language -"
    Print #1, "        then I would welcome your comments by snail mail."
    Print #1,
    Print #1,
    Print #1, "     How It Works:"
    Print #1,
    Print #1, "        It takes what you have typed in following its name on the command"
    Print #1, "        line and then acts on the information you have given to it."
    Print #1, "        Several things can take place from there, depending upon what"
    Print #1, "        you gave to it in the form of 'switches' on the command line."

If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1, "        If it encounters '/?' anywhere, it will show the Help Screen,"
    Print #1, "        then return you to the command line.  If it encounters the '/D'"
    Print #1, "        switch, it will go into an exclusive process similar to the '/?'"
    Print #1, "        switch, except that it is more comprehensive in every respect."
    Print #1, "        See the section about Command Line Options for complete details"
    Print #1, "        on these options, as well as the following ones."
    Print #1,
    Print #1, "        Aside from those switches, there are nine other switches that"
    Print #1, "        you can use to fully customize the look of your quotes.  Two of"
    Print #1, "        those will control the color of the text frame displayed, and two "
    Print #1, "        others will determine how wide the frame will be.  One of them"
    Print #1, "        also allows you to place the frame starting at any line on your"
    Print #1, "        screen, and there is another switch that will clear the screen"
    Print #1, "        before doing so.  Finally, there are three switches to choose"

If FileName$ <> "CON" Then Print ".";

    Print #1, "        from that will control how the text of the quote is justified"
    Print #1, "        within the frame; left- or right- or centered."
    Print #1,
    Print #1,
    Print #1, "     To Get More Information:"
    Print #1,
    Print #1, "        Type 'DAYQUOTE/$' on the command line and read about how you can"
    Print #1, "        get free money sent to you, and a whole bunch of other free stuff."
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,

If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1,
    Print #1,
    If FileName$ <> "CON" Then Print #1, "                                     Page 2"
    Print #1, ""
    Print #1, "   QUOTE FILE STRUCTURE"
    Print #1, ""
    Print #1,
    Print #1, "     Quote file basics:"
    Print #1,
    Print #1, "        What follows between the funky lines is a representative sample"
    Print #1, "        of a valid quote file."
    Print #1,
    Print #1, "        /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\"
    Print #1, "        | Four score and seven years ago...                            |"

If FileName$ <> "CON" Then Print ".";

    Print #1, "        | ~~Abraham Lincoln                                            |"
    Print #1, "        |                                                              |"
    Print #1, "        | He's dead, Jim.                                              |"
    Print #1, "        | ~~Bones                                                      |"
    Print #1, "        |                                                              |"
    Print #1, "        \/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/"
    Print #1,
    Print #1, "        The basic philosophy behind it is to try grouping each body of"
    Print #1, "        text as close as possible.  Each distinct quote must be separated"
    Print #1, "        by a minimum of two carriage returns (Enters), including the one"
    Print #1, "        at the end of the previous quote's line.  The picture again:"
    Print #1, "               "
    Print #1, "        /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\"
    Print #1, "        | Four score and seven years ago...                            |"
    Print #1, "        | ~~Abraham Lincoln   < carriage return 1        |"

If FileName$ <> "CON" Then Print ".";

    Print #1, "        |   < carriage return 2        |"
    Print #1, "        | He's dead, Jim.                                              |"
    Print #1, "        | ~~Bones                                                      |"
    Print #1, "        |                                                              |"
    Print #1, "        \/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/"
    Print #1,
    Print #1, "        If you slip up, though, and have, say, 42 carriage returns in there"
    Print #1, "        by pure accident, don't sweat it.  The program is fairly lax in"
    Print #1, "        searching for quotes, aside from the one hard rule listed above."
    Print #1,
    Print #1, "        It will ignore multiple spaces, as well as single carriage returns."
    Print #1, "        The text which is separated by at least two carriage returns is"
    Print #1, "        considered the body of one quote, and will become one string of"
    Print #1, "        text, each word separated by one space, that will be displayed"
    Print #1, "        in accordance with any specified parameters, no matter how many"

If FileName$ <> "CON" Then Print ".";

    Print #1, "        spaces are embedded within the quote.  You could have 113 spaces"
    Print #1, "        between just two words, and the quote will display as two words"
    Print #1, "        separated by a single space.  The rationale for this flexibility"
    Print #1, "        is that sometimes we don't realize there are a whole bunch of"
    Print #1, "        extra spaces at the end of a line, because we can't really SEE"
    Print #1, "        them, so it just makes the program more forgiving of our own"
    Print #1, "        imperfections."
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,

If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    If FileName$ <> "CON" Then Print #1, "                                     Page 3"
    Print #1, "     Creating your own quote file:"
    Print #1,
    Print #1, "        The best way to make a quote file is to use a 'text editor' or"
    Print #1, "        a 'word processor'.  If you use a word processor, make sure when"
    Print #1, "        you save the file that you are saving it in 'pure ASCII', which"
    Print #1, "        will mean unformatted text only, otherwise, you are apt to have"
    Print #1, "        some very strange-looking quotes appearing on your screen, since"
    Print #1, "        the word processor formatting codes that get added to the text"
    Print #1, "        will probably not comply very much with the two-return rule."

If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1, "        It is best to just type the text in as you want it to read.  Again,"
    Print #1, "        how the text looks in the file will be irrelevant to how it is"
    Print #1, "        displayed.  All display aspects are controlled by the optional"
    Print #1, "        command line switches, and all of those switches have defaults,"
    Print #1, "        so you need not worry about the display aspects until later on,"
    Print #1, "        when you are more familiar with the program's operation."
    Print #1,
    Print #1, "        One worthy note here is that all quotes will be displayed in a"
    Print #1, "        bordered rectangle, therefore it is not necessary to include"
    Print #1, "        quotation characters in your quote file, unless you prefer the"
    Print #1, "        look of them.  (Future releases will allow custom frame borders.)"
    Print #1,
    Print #1, "        This documentation file was created originally by me using the"
    Print #1, "        MS-DOS Editor, an easy-to use, standard ASCII text editor, and"

If FileName$ <> "CON" Then Print ".";

    Print #1, "        it looked exactly as you see it now.  If you wanted to, you could"
    Print #1, "        try using this documentation file as your test quote file.  Each"
    Print #1, "        paragraph, since they are all separated by two carriage returns,"
    Print #1, "        would be considered a single quote.  If you do this, though, be"
    Print #1, "        advised that you might get the 'Attempt to read a binary file...'"
    Print #1, "        message, due to the form-feed characters embedded in the text."
    Print #1, "        See the Result Messages section for more details on errors."
    Print #1,
    Print #1,
    Print #1, "     'Attributed' quotes:"
    Print #1,
    Print #1, "        Back to the drawing board:"
    Print #1,
    Print #1, "                               /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\"
    Print #1, "         Quote > | Four score and seven years ago...  |"

If FileName$ <> "CON" Then Print ".";

    Print #1, "        'Attribution' > | ~~Abraham Lincoln                  |"
    Print #1, "                               |                                    |"
    Print #1, "                               \/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/"
    Print #1,
    Print #1, "        As you can see, an attribution is the name of the person to whom"
    Print #1, "        the quote is attributed.  When DayQuote encounters the attribution"
    Print #1, "        code, '~~', it stops reading the quote, and makes whatever"
    Print #1, "        follows into the attribution.  Upon display, the attribution will"
    Print #1, "        appear to the right side of the quote frame, preceded by a dash"
    Print #1, "        and a single space, like this:"
    Print #1,
    Print #1, "             ͻ"
    Print #1, "              Four score and seven years ago...                 "
    Print #1, "                                              - Abraham Lincoln "
    Print #1, "             ͼ"

If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1, "        If what follows the attribution code is too long to fit in the"
    Print #1, "        frame, then the remaining text will be truncated.  This shouldn't"
    Print #1, "        be a problem, though, if the attribution is just a name."
    Print #1,
    Print #1,
    Print #1,
    If FileName$ <> "CON" Then Print #1, "                                     Page 4"
    Print #1, ""
    Print #1, "   COMMAND LINE OPTIONS"
    Print #1, ""
    Print #1,
    Print #1, "       Ŀ"
    Print #1, "        DayQuote 1.0    Copyright 1994, 1995 by Freeware Unlimited. "
    Print #1, "       Ĵ"

If FileName$ <> "CON" Then Print ".";

    Print #1, "        Usage: DAYQUOTE [switches] quotefil.ext                      "
    Print #1, "                                                                     "
    Print #1, "         Switches:                                                   "
    Print #1, "          /?     - Shows this help screen.                           "
    Print #1, "          /F:c   - Use foreground color 'c', as listed below.        "
    Print #1, "          /B:c   - Use background color 'c', as listed below.        "
    Print #1, "          /L     - Left-justify the text.                            "
    Print #1, "          /R     - Right-justify the text.                           "
    Print #1, "          /C     - Center the text.                                  "
    Print #1, "          /S:#   - Start at specified column # (1-30). Default = 10  "
    Print #1, "          /E:#   - End at specified column # (50-80).  Default = 70  "
    Print #1, "          /T:#   - Top line # to begin on (1-24). Default = current  "
    Print #1, "          /W     - Wipe (clear) the screen before displaying.        "
    Print #1, "          /D[:n] - Create documentation file, DAYQUOTE.DOC, or 'n'.  "
    Print #1, "          /$     - Get money sent to you.                            "

If FileName$ <> "CON" Then Print ".";

    Print #1, "                                                                     "
    Print #1, "           Available foreground colors and background colors are:    "
    Print #1, "                                                                     "
    Print #1, "         BLACK, BLUE, GREEN, CYAN, RED, MAGENTA, BROWN, WHITE, GRAY  "
    Print #1, "         LTBLUE, LTGREEN, LTCYAN, LTRED, LTMAGENTA, YELLOW, BRWHITE  "
    Print #1, "       "
    Print #1,
    Print #1,
    Print #1,
    Print #1, ""
    Print #1, "   EXTENDED OPTION DESCRIPTIONS"
    Print #1, ""
    Print #1,
    Print #1, "     Color switches:"
    Print #1, "        "

If FileName$ <> "CON" Then Print ".";

    Print #1, "      /F:color  - Sets foreground color.  Default color is white."
    Print #1, "      /B:color  - Sets background color.  Default color is black."
    Print #1, "      "
    Print #1, "        Use these switches to specify foreground and background colors"
    Print #1, "        to use when displaying a quote.  'Color' represents one of the"
    Print #1, "        following colors or abbreviations:"
    Print #1,
    Print #1, "            Ŀ"
    Print #1, "                 color  =  abbr.             color   =  abbr.  "
    Print #1, "            Ĵ"
    Print #1, "                 BLACK  =  BLK         GRAY or GREY  =  GRY    "
    Print #1, "                  BLUE  =  BLU               LTBLUE  =  LBL    "
    Print #1, "                 GREEN  =  GRN              LTGREEN  =  LGR    "
    Print #1, "                  CYAN  =  CYA               LTCYAN  =  LCY    "
    Print #1, "                   RED  =  RED                LTRED  =  LRD    "

If FileName$ <> "CON" Then Print ".";

    Print #1, "               MAGENTA  =  MAG            LTMAGENTA  =  LMG    "
    Print #1, "                 BROWN  =  BRN               YELLOW  =  YEL    "
    Print #1, "                 WHITE  =  WHT              BRWHITE  =  BRW    "
    Print #1, "            "
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    If FileName$ <> "CON" Then Print #1, "                                     Page 5"
    Print #1, "     Text justification switches:"
    Print #1,
    Print #1, "      /L  - Sets displayed text as left-justified.  This is the default."
    Print #1, "      /R  - Sets displayed text as right-justified"
    Print #1, "      /C  - Sets displayed text as centered."

If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1, "        Use one of these switches to have the quote text display in a way"
    Print #1, "        that you prefer.  One note on this switch: an 'attributed' quote"
    Print #1, "        (see the section about Quote File Structure) will always have"
    Print #1, "        it's attribution displayed on the last line, right-justified."
    Print #1, "        The text body of the quote, however, will display as you set it."
    Print #1,
    Print #1,
    Print #1, "     Starting column switch:"
    Print #1,
    Print #1, "      /S:#  - Sets the starting column as the number specified."
    Print #1,
    Print #1, "        Use this switch, along with the /E switch, to customize the"
    Print #1, "        displayed quote to suit your tastes.  Valid values for this"
    Print #1, "        switch range from 1 to 30, inclusive."

If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1, "        The default starting column is column 10."
    Print #1,
    Print #1,
    Print #1, "     Ending column switch:"
    Print #1,
    Print #1, "      /E:#  - Sets the ending column as the number specified."
    Print #1,
    Print #1, "        Use this switch, along with the /S switch, to customize the"
    Print #1, "        displayed quote to suit your tastes.  Valid values for this"
    Print #1, "        switch range from 50 to 80, inclusive."
    Print #1,
    Print #1, "        The default ending column is column 70."
    Print #1,
    Print #1,

If FileName$ <> "CON" Then Print ".";

    Print #1, "     Top line switch:"
    Print #1,
    Print #1, "      /T:#  - Sets the top line as the line number specified."
    Print #1,
    Print #1, "        Use this switch to further customize the look of the displayed"
    Print #1, "        quote to suit your tastes.  Valid values for this switch range"
    Print #1, "        from 1 to 24, inclusive."
    Print #1,
    Print #1, "        The default top line is the line number before execution, plus 2."
    Print #1,
    Print #1,
    Print #1, "     Clear screen switch:"
    Print #1,
    Print #1, "      /W  - Wipes (clears) the screen before displaying a quote."
    Print #1,

If FileName$ <> "CON" Then Print ".";

    Print #1, "        Use this switch, along with the /T switch, to further enhance"
    Print #1, "        the visual quality of the displayed quote."
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    If FileName$ <> "CON" Then Print #1, "                                     Page 6"
    Print #1, "     Create Documentation switch:"
    Print #1,
    Print #1, "      /D[:n]  - Creates this documentation file."

If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1, "        Use this switch to create this documentation file at any time."
    Print #1, "        You may also specify the name of the file by following the switch"
    Print #1, "        with a colon and then the name you want to give the file, otherwise"
    Print #1, "        the file created will be named, DAYQUOTE.DOC."
    Print #1,
    Print #1, "        This switch can also be used to create printed documentation by"
    Print #1, "        specifying a printer device as the file name, such as PRN or LPT1,"
    Print #1, "        or it can be used to quickly browse the documentation by using"
    Print #1, "        the 'CON' device, pressing the 'Pause' key to pause the scrolling."
    Print #1,
    Print #1, "        To accomplish the latter, enter:  DAYQUOTE /D:CON"
    Print #1,
    Print #1,
    Print #1, "     Beg switch:"

If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1, "      /$  - Begs you for money."
    Print #1,
    Print #1, "        Use this switch to get the address of Freeware Unlimited from"
    Print #1, "        the command line so you can send me large amounts of cash, if"
    Print #1, "        you feel generous."
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,

If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,

If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    If FileName$ <> "CON" Then Print #1, "                                     Page 7"
    Print #1, ""

If FileName$ <> "CON" Then Print ".";

    Print #1, "   RESULT MESSAGES"
    Print #1, ""
    Print #1,
    Print #1, "     Command-line errors:"
    Print #1,
    Print #1, "       Quote file not specified."
    Print #1,
    Print #1, "          You have not specified a file name to look for quotes in."
    Print #1, "          This is the only required parameter for the program to be"
    Print #1, "          able to correctly display a quote."
    Print #1,
    Print #1, "          This message, as well as with any other command line errors,"
    Print #1, "          will be followed by the message:  Type 'DAYQUOTE /?' for help."
    Print #1,
    Print #1,

If FileName$ <> "CON" Then Print ".";

    Print #1, "       Quote file can not be a reserved device name"
    Print #1,
    Print #1, "          You have specified a quote file with the name of a reserved"
    Print #1, "          device."
    Print #1,
    Print #1, "          Reserved devices are CON, AUX, PRN, CLOCK$, COM1, COM2, COM3,"
    Print #1, "          COM4, LPT1, LPT2, and LPT3."
    Print #1,
    Print #1, "          This result message will also show the device you specified."
    Print #1,
    Print #1,
    Print #1, "       Invalid switch"
    Print #1,
    Print #1, "          You have entered an invalid switch on the command line.  Any"
    Print #1, "          text on the command line that is preceded by the forward"

If FileName$ <> "CON" Then Print ".";

    Print #1, "          slash character (/), up to but not including the next slash"
    Print #1, "          character or the next whitespace character, is considered"
    Print #1, "          to be a switch."
    Print #1,
    Print #1, "          This result message will also show the incorrect switch used."
    Print #1,
    Print #1,
    Print #1, "       Missing colon in switch"
    Print #1,
    Print #1, "          You have specified a switch which requires a second parameter"
    Print #1, "          in the form of (switch):(parameter), but you left out the"
    Print #1, "          colon character immediately following the switch."
    Print #1,
    Print #1, "          This result message will also show the incorrect switch used."
    Print #1,

If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1, "       Invalid foreground specification"
    Print #1,
    Print #1, "       Invalid background specification"
    Print #1,
    Print #1, "          You have specified an invalid display color.  See the section"
    Print #1, "          containing Extended Option Descriptions for the complete list"
    Print #1, "          of available colors and their abbreviations."
    Print #1,
    Print #1, "          These result messages will also show the color you specified."
    Print #1,
    Print #1, "          If not specified, the foreground color will be white, and the"
    Print #1, "          background color will be black."
    Print #1,
    Print #1,

If FileName$ <> "CON" Then Print ".";

    If FileName$ <> "CON" Then Print #1, "                                     Page 8"
    Print #1, "       Multiple text justifications are not allowed"
    Print #1,
    Print #1, "          You have included too many text justification switches on the"
    Print #1, "          command line.  Only one of the switches, /L /R or /C, may be"
    Print #1, "          used at a time."
    Print #1,
    Print #1, "          Using two or more on the command line generates an error to"
    Print #1, "          avoid having the program ignore subsequent justification"
    Print #1, "          switches after reading the first one - a technique which"
    Print #1, "          can only lead to further confusion."
    Print #1,
    Print #1, "          Text will be left-justified if one of these switches is not used."
    Print #1,
    Print #1,

If FileName$ <> "CON" Then Print ".";

    Print #1, "       Invalid starting column"
    Print #1,
    Print #1, "          You have specified an invalid starting column at which to"
    Print #1, "          begin displaying each line of the quote.  Valid values for"
    Print #1, "          this switch are in the range of 1 to 30, inclusive."
    Print #1,
    Print #1, "          This result message will also show the column you specified."
    Print #1,
    Print #1, "          The starting column will be 10 if this switch is not used."
    Print #1,
    Print #1,
    Print #1, "       Invalid ending column"
    Print #1,
    Print #1, "          You have specified an invalid ending column at which to stop"
    Print #1, "          displaying each line of the quote.  Valid values for this"

If FileName$ <> "CON" Then Print ".";

    Print #1, "          switch are in the range of 50 to 80, inclusive."
    Print #1,
    Print #1, "          This result message will also show the column you specified."
    Print #1,
    Print #1, "          The ending column will be 70 if this switch is not used."
    Print #1,
    Print #1,
    Print #1, "       Invalid top line"
    Print #1,
    Print #1, "          You have specified an invalid top line at which to begin"
    Print #1, "          displaying the quote.  Valid values for this switch are in"
    Print #1, "          the range of 1 to 24, inclusive."
    Print #1,
    Print #1, "          This result message will also show the line you specified."
    Print #1,

If FileName$ <> "CON" Then Print ".";

    Print #1, "          The top line will be the line number before execution,"
    Print #1, "          plus 2, if this switch is not used."
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,

If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1,
    If FileName$ <> "CON" Then Print #1, "                                     Page 9"
    Print #1, "     File errors:"
    Print #1,
    Print #1, "       Bad file name:  (filename)"
    Print #1,
    Print #1, "          You specified an invalid file name as the quote file."
    Print #1,
    Print #1,
    Print #1, "       Drive not ready looking for quote file:  (filename)"
    Print #1,
    Print #1, "          You attempted to read a quote file on a drive that either had"
    Print #1, "          no disk present, or which had it's door open."
    Print #1,

If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1, "       Unsupported disk format encountered looking for file:  (filename)"
    Print #1,
    Print #1, "          The disk you are attempting to read from is of an unrecognized"
    Print #1, "          format, or may be unformatted altogether."
    Print #1,
    Print #1,
    Print #1, "       Path not found looking for quote file:  (filename)"
    Print #1,
    Print #1, "          You specified a path or a file name which could not be found."
    Print #1,
    Print #1,
    Print #1, "       Problem looking for quote file:  (filename)"
    Print #1,
    Print #1, "          The file name you specified does not exist."

If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1,
    Print #1, "       Attempt to read an empty file:  (filename)"
    Print #1,
    Print #1, "          You specified a file which was only a file name, containing no"
    Print #1, "          information.  Type 'DIR (filename)' on the command line to"
    Print #1, "          verify that the file is of zero length."
    Print #1,
    Print #1,
    Print #1, "       Attempt to read a binary file or non-text characters found in:"
    Print #1, "        (filename)"
    Print #1,
    Print #1, "          You specified a file that contains characters not found in"
    Print #1, "          text files.  The file is a binary file, or other non-ASCII"
    Print #1, "          file, or it contains undisplayable control characters, such"

If FileName$ <> "CON" Then Print ".";

    Print #1, "          as vertical tabs or form feeds."
    Print #1,
    Print #1, "          This error will also report detailed information on the invalid"
    Print #1, "          characters found, as well as their location in the file.  The"
    Print #1, "          'reference block', as it will be called, will show the text"
    Print #1, "          block which starts about 100 bytes before the encountered"
    Print #1, "          binary character and which ends about 100 characters afterward."
    Print #1,
    Print #1,
    Print #1, "       No quotes found in file:  (filename)"
    Print #1,
    Print #1, "          The file name which was specified contains no text."
    Print #1,
    Print #1,
    Print #1,

If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1,
    Print #1,
    Print #1,
    If FileName$ <> "CON" Then Print #1, "                                     Page 10"
    Print #1, "       File read error - Size of object in:  (filename)"
    Print #1, "        (filename) is possibly not a quote file."
    Print #1,
    Print #1, "          The specified quote file contains a block of text that is larger"
    Print #1, "          than the limit of 1670 characters.  This message might be the"
    Print #1, "          result of specifying a binary file or other non-quote text file."
    Print #1,
    Print #1,
    Print #1, "       Overflow reading file:  (filename)"
    Print #1, "        (filename) is too large."

If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1, "          You have likely specified a binary file or other non-quote file."
    Print #1,
    Print #1,
    Print #1, "     Documentation printing messages:"
    Print #1,
    Print #1, "       Printing documentation to file:  (filename)"
    Print #1,
    Print #1, "          This message will display, followed by visibly incrementing dots,"
    Print #1, "          until the documentation file is finished being created."
    Print #1,
    Print #1,
    Print #1, "       Bad file name:  (filename)"
    Print #1,
    Print #1, "          You specified an invalid file name as the output file."

If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1,
    Print #1, "       Drive not ready printing to file:  (filename)"
    Print #1,
    Print #1, "          The drive you attempted to print the file to was a drive which"
    Print #1, "          had no disk present, or which had it's door open."
    Print #1,
    Print #1,
    Print #1, "       Unsupported disk format encountered printing to file:  (filename)"
    Print #1,
    Print #1, "          The disk you are attempting to print to is of an unrecognized"
    Print #1, "          format, or may be unformatted altogether.  The disk has no"
    Print #1, "          file structures present within which to store the file."
    Print #1,
    Print #1,

If FileName$ <> "CON" Then Print ".";

    Print #1, "       Path not found printing to file:  (filename)"
    Print #1,
    Print #1, "          You specified a path which could not be found in which to create"
    Print #1, "          the requested file."
    Print #1,
    Print #1,
    Print #1, "       Printer is not responding at attempt to print file."
    Print #1,
    Print #1, "       (devicename) is not responding at attempt to print file."
    Print #1,
    Print #1, "       Device fault error printing to file:  (devicename)"
    Print #1,
    Print #1, "          You have used a device name which is not responding to the"
    Print #1, "          data being transmitted.  If 'PRN', then check to see that"
    Print #1, "          it is online, and that it is connected properly."

If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    If FileName$ <> "CON" Then Print #1, "                                     Page 11"
    Print #1, "     Miscellaneous messages:"
    Print #1,
    Print #1, "       Quote text is too long to fit in the specified frame."
    Print #1,
    Print #1, "          The text of the quote, after formatting it for the screen, will"
    Print #1, "          exceed the screen height boundary, hence it can not be used."
    Print #1,
    Print #1, "          You can try adjusting the starting and ending columns if you"

If FileName$ <> "CON" Then Print ".";

    Print #1, "          get this message, but since the choice of quote from the file"
    Print #1, "          is a random choice, there is no guarantee that the program"
    Print #1, "          will attempt to display the same quote.  If you have very long"
    Print #1, "          quotes in your quote file, you should probably not specify"
    Print #1, "          starting and ending columns with the /S: and /E: switches unless"
    Print #1, "          you use them make the region width wider than the default of"
    Print #1, "          61 columns."
    Print #1,
    Print #1, "          You can also try narrowing down the maximum quote width by"
    Print #1, "          creating a file containing only the longest quote, then, using"
    Print #1, "          that file as the quote file, trying different starting and ending"
    Print #1, "          columns until you no longer get this result message."
    Print #1,
    Print #1,
    Print #1, "       System error number #(nn) handling quote file:  (filename)"

If FileName$ <> "CON" Then Print ".";

    Print #1, "          - (relevant error message) -"
    Print #1,
    Print #1, "       System error number #(nn) printing to file:  (filename)"
    Print #1, "        - (relevant error message) -"
    Print #1,
    Print #1, "       System error number #(nn) displaying quote from file:  (filename)"
    Print #1, "        - (relevant error message) -"
    Print #1,
    Print #1, "          An unforeseen error has occurred in the specified routine. The"
    Print #1, "          number, 'nn' is the equivalent BASIC error number, and the"
    Print #1, "          message is the known cause of it."
    Print #1,
    Print #1,
    Print #1,
    Print #1,

If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,

If FileName$ <> "CON" Then Print ".";

    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    Print #1,
    If FileName$ <> "CON" Then Print #1, "                                     Page 12"; Chr$(26);

If FileName$ <> "CON" Then Print " Done."

    Close #1

    SYSTEM

End Sub

